Bug 13504 - The marker '----' is not removed for CHECKIN and CHECKOUT
Summary: The marker '----' is not removed for CHECKIN and CHECKOUT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-31 12:25 UTC by Jonathan Druart
Modified: 2016-06-21 21:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13504: Remove the '----' marker for CHECKIN and CHECKOUT notices (1.39 KB, patch)
2014-12-31 12:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13504: Remove the '----' marker for CHECKIN and CHECKOUT notices (1.44 KB, patch)
2015-01-01 06:17 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 13504: Remove the '----' marker for CHECKIN and CHECKOUT notices (1.51 KB, patch)
2015-01-02 15:54 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-12-31 12:25:14 UTC
If there is only 1 item, the marker is not removed.
Comment 1 Jonathan Druart 2014-12-31 12:27:48 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2015-01-01 06:17:21 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-01-02 15:54:47 UTC
Created attachment 34896 [details] [review]
[PASSED QA] Bug 13504: Remove the '----' marker for CHECKIN and CHECKOUT notices

If only 1 item exist in the message, the marker is not removed.
This marker is removed by render_metadata, but this method is only
called on appending.

Test plan:
1/ Enable the CHECKIN and/or CHECKOUT notices for a patron
2/ check and item in or out and verify that the marker is no longer
displayed in the generated notices.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-01-04 15:20:40 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Chris Cormack 2015-01-05 23:09:00 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 6 Mason James 2015-01-16 21:16:44 UTC
Pushed to 3.16.x, will be in 3.16.7